PostgreSQL 7.4.11 Documentation
Prev | Fast Backward |  | Fast Forward | Next

# pg_conndefaults

## Name

pg_conndefaults -- get connection options and their defaults

## Synopsis

    pg_conndefaults

## Description

`pg_conndefaults` returns information about the connection options available in `pg_connect -conninfo` and the current default value for each option.

## Arguments

None

## Return Value

The result is a list describing the possible connection options and their current default values. Each entry in the list is a sublist of the format:

    {optname label dispchar dispsize value}

where the `optname` is usable as an option in `pg_connect -conninfo`.

Prev | Home | Next
pg_disconnect | Up | pg_exec